Get Video Meeting Sessions. Only supported for Cal Video
curl --request GET \
--url https://api.cal.com/v2/bookings/{bookingUid}/conferencing-sessions \
--header 'Authorization: <authorization>' \
--header 'cal-api-version: <cal-api-version>'import requests
url = "https://api.cal.com/v2/bookings/{bookingUid}/conferencing-sessions"
headers = {
"cal-api-version": "<cal-api-version>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'cal-api-version': '<cal-api-version>', Authorization: '<authorization>'}
};
fetch('https://api.cal.com/v2/bookings/{bookingUid}/conferencing-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"id": "session123",
"room": "daily-video-room-123",
"startTime": 1678901234,
"duration": 3600,
"ongoing": false,
"maxParticipants": 10,
"participants": [
{
"userId": "user123",
"userName": "John Doe",
"joinTime": 1678901234,
"duration": 3600
}
]
}
]
}Bookings
Get Video Meeting Sessions. Only supported for Cal Video
Requires authentication and proper authorization. Access is granted if you are the booking organizer, team admin or org admin/owner.
cal-api-version:
2026-02-25 is required in the request header.This endpoint is rate-limited to 60 requests per minute per caller (per API key, access token, OAuth client, or IP). Exceeding the limit returns a 429 response and blocks further calls for 60 seconds.
If the upstream conferencing provider rate-limits the request, this endpoint responds with HTTP 429 and a
Retry-After header carrying the number of seconds to wait before retrying. Clients should honor this hint.If accessed using an OAuth access token, the BOOKING_READ scope is required.
GET
/
v2
/
bookings
/
{bookingUid}
/
conferencing-sessions
Get Video Meeting Sessions. Only supported for Cal Video
Headers
Must be set to 2026-02-25.
Example:
"2026-02-25"
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Path Parameters
Was this page helpful?